package rwd.abstractsyntax.spiderdiagram;

public class FalseDiagram extends UnitaryDiagram {
	public FalseDiagram(String s) {
		super(s);
	}
	public boolean equals(Diagram d) { // test if it's false
		return d instanceof FalseDiagram;
	}
	public boolean isFalse() {
		return true;
	}
	public String toString() {
		return getName() + "false";
	}
	public Diagram getClone() {
		return new FalseDiagram(getName());
	}
}
