package rwd.gui;
import rwd.abstractsyntax.spiderdiagram.Diagram;
import java.util.Observer;
import java.util.Observable;

public abstract class DiagramShower implements Observer {
	final protected FontPanel panel;

	final protected Diagram diagram;

	protected Diagram partDiagram;
	DiagramShower(FontPanel p, Diagram d) {
		panel = p;
		diagram = d;
		partDiagram = d;
	}
	public void update(Observable o, Object args) {
	}
	abstract void refreshDiagramAfterEdit();
	abstract void refreshDiagramAfterNewPartChosen(Diagram partDiagram);
	//abstract void refreshOldDiagram();

}
