package rwd.gui.editor;

import java.awt.Font;

/**
 * @author op
 *
 */
public class Options {
	// Font
	public Font getFont() {
		return font;
	}
	public void setFont(Font font) {
		this.font = font;
	}

	// As ellipse
	public boolean isAsEllipse() {
		return asEllipse;
	}
	public void setAsEllipse(boolean asEllipse) {
		this.asEllipse = asEllipse;
	}

	//
	// Local properties
	//
	protected Font font = DEFAULT_FONT;
	protected boolean asEllipse = AS_ELLIPSE;
	// Default options
	public static String DEFAULT_FONT_NAME = "SanSerif";
	public static int DEFAULT_FONT_TYPE = Font.BOLD;
	public static int DEFAULT_FONT_SIZE = 250;
	public static Font DEFAULT_FONT = new Font(DEFAULT_FONT_NAME, DEFAULT_FONT_TYPE, DEFAULT_FONT_SIZE);
	public static boolean AS_ELLIPSE = false;
}
