package rwd.gui.editor.listeners;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import rwd.gui.editor.EditorFrame;
import rwd.gui.editor.viewers.DiagramViewerInterface;

/**
 * @author Octavian Patrascoiu
 *
 */
public class EditDeleteListener implements ActionListener {
	public EditDeleteListener(EditorFrame frame) {
		this.frame = frame;
	}
	
	public EditDeleteListener(DiagramViewerInterface viewer) {
		this.viewer = viewer;
	}

	public void actionPerformed(ActionEvent e) {
		deleteItem();
	}

	public void deleteItem() {
		if (frame != null) viewer = frame.getCurrentViewer();
		if (viewer == null) return;
		viewer.deleteSelectedItems();
	}

	// Local variables
	private EditorFrame frame;
	private DiagramViewerInterface viewer;
}

