package rwd.rules.autoproof;

import rwd.abstractsyntax.spiderdiagram.Diagram;
import rwd.rules.Proof;
import rwd.rules.nospec.RulePushNotsToLeaves;
import rwd.rules.application.RuleAppliesToJustADiagram;

public class PushNotsToLeaves {
	public static Proof pushNotsToLeaves(Diagram d) {
		Diagram diag = d.getClone();
		Proof p = new Proof(diag);
		RulePushNotsToLeaves pnl = new RulePushNotsToLeaves();
		RuleAppliesToJustADiagram rajd = new RuleAppliesToJustADiagram(diag);
		Diagram outcome = pnl.applyRule(rajd);
		if (!outcome.equals(diag)) {
			p.addStepAtEnd(pnl, rajd, outcome);
		}
		return p;
	}
}
