package rwd.rules.autoproof;

import rwd.abstractsyntax.spiderdiagram.Diagram;
import rwd.rules.nospec.ShatterSpidersRule;
import rwd.rules.Proof;
import rwd.rules.application.RuleAppliesToJustADiagram;

public class SpiderSplitter {
	public static Proof splitAllSpiders(Diagram d) {
		//Diagram d = d.getClone();
		Proof p = new Proof(d);
		ShatterSpidersRule ssr = new ShatterSpidersRule();
		RuleAppliesToJustADiagram rajd = new RuleAppliesToJustADiagram(d);
		Diagram outcome = ssr.applyRule(rajd);
		if (!outcome.equals(d)) {
			p.addStepAtEnd(ssr, rajd, outcome);
		}
		return p;
	}
}
