package rwd.tableaux.semantic;

import java.util.Set;
import java.util.TreeSet;

/**
 * @author Octavian Patrascoiu
 *
 */
public class ContradictionImpl implements Contradiction {
	/** Contradiction flag */
	protected boolean flag;
	public boolean isContradiction() { return flag; }
	public void setContradiction(boolean b) { this.flag = b; }
	
	/** Zones with a contradiction */
	protected Set zones = new TreeSet();
	public Set getZones() { return zones; }
	public void setZones(Set zones) { this.zones = zones; }

	/** Negate a contradiction */
	public Contradiction not() {
		Contradiction con = new ContradictionImpl();
		if (this.isContradiction()) {
			con.setContradiction(false);
		} else {
			con.setContradiction(true);
		}
		return con;
	}
	
	/** Override toString */
	public String toString() {
		return "["+isContradiction()+" "+getZones()+"]";
	}
}
