package rwd.tableaux.semantic;

/**
 * @author Octavian Patrascoiu
 *
 */
public class OperationKind {
	public static final OperationKind EXPAND_OR = new OperationKind() {
		public String toString() { return "EXPAND_OR"; };
	};
	public static final OperationKind EXPAND_AND = new OperationKind() {
		public String toString() { return "EXPAND_AND"; };
	};
	public static final OperationKind EXPAND_NOT = new OperationKind() {
		public String toString() { return "EXPAND_NOT"; };
	};
	 
	public static final OperationKind EQUALISE_DIAGRAMS = new OperationKind() { 
		public String toString() { return "EQUALISE_DIAGRAMS"; };
	};
	public static final OperationKind EQUALISE_ZONES = new OperationKind() {
		public String toString() { return "EQUALISE_ZONES"; };
	};
	public static final OperationKind EQUALISE_CONTOURS = new OperationKind() { 
		public String toString() { return "EQUALISE_CONTOURS"; };
	};

	public static final OperationKind ADD_ZONE = new OperationKind() {
		public String toString() { return "ADD_ZONE"; };
	};
	public static final OperationKind ADD_CONTOURS = new OperationKind() { 
		public String toString() { return "ADD_CONTOURS"; };
	};

	public static final OperationKind SPLIT_SPIDERS = new OperationKind() { 
		public String toString() { return "SPLIT_SPIDERS"; };
	};

	public static final OperationKind NEGATE_DIAGRAM = new OperationKind() { 
		public String toString() { return "NEGATE_DIAGRAM"; };
	};

	public static final OperationKind UNDEFINED = new OperationKind() {
		public String toString() { return "UNDEFINED"; };
	};
}
