package rwd.views.abstracttoconcrete.forcemodel;

/**
 * @author  $Author: op $
 * @version $Id: Constants.java,v 1.5 2004/10/20 10:08:39 op Exp $
 */
public interface Constants {
    
    // The abstract graph is laid out using these parameters.
    public static final double IDEAL_EDGE_LENGTH = 400;
    public static final long SPRING_ITERATIONS = 1000;
    public static final double MOVEMENT_SIZE = 0.05;
    public static final double MAX_REPULSION_DISTANCE = 1000;
    
    // These control the appearance of the drawn contours.
    public static final int POINTS_PER_CONTOUR = 60;
    public static final double IDEAL_CONTOUR_RADIUS = 250;
    
}
