package rwd.gui;
import javax.swing.JScrollPane;
import java.awt.Component;
import java.awt.Font;

public class FontScrollPane extends JScrollPane {
	public FontScrollPane(Component c) {
		super(c);
		try {
			c.setFont(StaticObjects.getFont());
		} catch (NullPointerException x) {
		}
	}
	public void setFont(Font f) {
		super.setFont(f);
		Component[] comps = this.getViewport().getComponents();
		for (int i = 0; i < comps.length; i++) {
			comps[i].setFont(f);
		}
	}

}
