package rwd.rules;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;

/**
 * @author jaf28
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 */
public class DataFileConcatenator {

	public static void main(String[] args) {
		String numContours = args[0];
		System.out.println("numContours is "+numContours);
		String numSpiders = args[1];
		System.out.println("numSpiders is "+numSpiders);
		String proofDepth = args[2];
		System.out.println("proofDepth is "+proofDepth);
		String allOrOne = args[3];
		System.out.println("allOrOne is "+allOrOne);
		String dataFilename = args[4];
		System.out.println("dataFilename is "+dataFilename);
		int numberOfDataPointsPerFile = Integer.parseInt(args[5]);
		System.out.println("numberOfDataPointsPerFile is "+numberOfDataPointsPerFile);
		int lastDataPoint = Integer.parseInt(args[6]);
		System.out.println("lastDataPoint is "+lastDataPoint);
		try {
			BufferedWriter bfw =
				new BufferedWriter(
					new FileWriter(new File(dataFilename)));
			bfw.write("number of contours : "+numContours);
			bfw.newLine();
			bfw.write("number of spiders : "+numSpiders);
			bfw.newLine();
			bfw.write("depth of proofs : "+proofDepth);
			bfw.newLine();
			bfw.write("collected all or just one : "+allOrOne);
			bfw.newLine();

			for (int i = numberOfDataPointsPerFile; i < lastDataPoint+1; i = i + numberOfDataPointsPerFile) {
				// set up filename
				BufferedReader br =
					new BufferedReader(
						new FileReader(new File("data+" + i + ".csv")));
										readLoop : while (true) {
					String line = br.readLine();
					if (line == null) {
						System.out.println("done file " + i);
						break readLoop;
					} else if (line.length() > 0) {
						bfw.write(line);
						bfw.newLine();
					}
				}
			}
			bfw.flush();
			bfw.close();
			System.exit(0);
		} catch (IOException x) {
			System.out.println("IOException " + x);
			System.exit(0);
		}
	}

}
