package rwd.tableaux.diagram;

import rwd.abstractsyntax.spiderdiagram.Diagram;
import rwd.abstractsyntax.spiderdiagram.UnitaryDiagram;

/**
 * @author Octavian Patrascoiu
 *
 */
public interface Normaliser {
	public Diagram toDNF(Diagram d);
	public Diagram toDNFWithoutNegation(Diagram d);
	public Diagram removeNegation(Diagram d);
	public Diagram removeDoubleNegation(Diagram d);
	public Diagram negateUnitaryDiagrams(Diagram d);
	public Diagram makeNegationOf(UnitaryDiagram d);
	public Diagram applyDeMorgan(Diagram d);
	public Diagram distributeAndOverOr(Diagram d);
}
