package rwd.tableaux.semantic;

import java.util.Set;

/**
 * @author Octavian Patrascoiu
 *
 */
public interface Contradiction {
	/** Contradiction flag */
	public boolean isContradiction();
	public void setContradiction(boolean b);
	
	/** Zones with a contradiction */
	public Set getZones();
	public void setZones(Set zones);
	
	/** Negate a contradiction */
	public Contradiction not();
}
