package rwd.views.abstracttoconcrete.forcemodel.layout;

import rwd.views.abstracttoconcrete.forcemodel.*;
import java.util.*;

/**
 * @author  $Author: op $
 * @version $Id: PlanarStraightLineLayout.java,v 1.5 2004/10/20 10:08:39 op Exp $
 */
public class PlanarStraightLineLayout implements Layout {
    
    public PlanarStraightLineLayout() {
        
    }
    
    public void apply(Graph graph) {
        
        Node[] nodes = graph.getNodeArray();
        Edge[] edges = graph.getEdgeArray();
        
        // Work out how many shells we need.
        int shellCount = 0;
        for (int i = 0; i < nodes.length; i++) {
            Node node = nodes[i];
            int zoneCount = node.getLabel().length();
            if (zoneCount > shellCount) {
                shellCount = zoneCount;
            }
        }

        // This array could be populated much more efficiently...
        Node[][] shells = new Node[shellCount][0];
        for (int i = 0; i < shellCount; i++) {
            Vector nodesInShell = new Vector();
            for (int j = 0; j < nodes.length; j++) {
                if (nodes[j].getLabel().length() == shellCount - i) {
                    nodesInShell.add(nodes[j]);
                }
            }
            shells[i] = (Node[]) nodesInShell.toArray(shells[i]);
        }
        
        Vector angles = new Vector();
        int radius = 0;
        for (int n = 0; n < shells.length; n++) {
            radius += 10;
            Node[] shell = shells[n];
        }
        
        // Not Finished!
        
    }
    
}
