package rwd.views.smoother;

/**
 * @author Octavian Patrascoiu
 *
 */
public class Quality {
	/**
	 * @param eulerScore
	 * @param spiderScore
	 */
	public Quality(double eulerScore, double spiderScore) {
		this.euler = eulerScore;
		this.spider = spiderScore;
	}

	public int compare(Quality q1) {
		if (euler < q1.euler) {
			return -1;
		} else if (euler > q1.euler) {
			return 1;
		} else {
			if (spider < q1.spider) {
				return -1;
			} else if (spider > q1.spider) {
				return 1;
			} else {
				return 0;
			}
		}
	}
	
	public String toString() {
		return Double.toString(euler+spider);
	}
	// Local properties
	protected double euler = 0;
	protected double spider = 0;
}
